/*
 * Tools.h
 *
 *  Created on: 2010/12/03
 *      Author: yotubata
 */

#ifndef TOOLS_H_
#define TOOLS_H_

#include <string>
#include <vector>

#define UNUSED_VARIABLE(x) (void)(x)

typedef std::vector<std::string> str_token_list;

std::string GetDateTimeStr(time_t *dateTime = 0);
std::string GetTimeStr(time_t *dateTime = 0);
std::string GetDateStr(time_t *dateTime = 0);
std::string GetDateTimeNum(time_t *dateTime = 0);

unsigned long DateStrToULong(const std::string datetimeStr);
double DatetimeStrToDouble(const std::string dateStr, const std::string timeStr);
std::string DateULongToString(const unsigned long datetimeVal);

str_token_list				string_token(const std::string line, const char* tok);
std::string 				int_to_string(const int val);
int							string_to_int(const std::string val);
bool						isDateString(const std::string val);
off_t						fMove(const int fd, const off_t src, const off_t dest);
#endif /* TOOLS_H_ */
