function PollingProc()
{
	// ポーリングデータを捌く
	var termState;
	var serviceState;
	var rhPos;
	var	scenarioState;
	var recoveryPanel;

	// 表示状態チェック
	if(typeof(TerminalStatus) != 'object')	return;

	// システム状態取得

	// 各PC状態取得
	/*
	termState = GetRobotStatus();
	TerminalStatus.rows[1].cells[1].innerText = termState[0];		// 制御端末
	TerminalStatus.rows[2].cells[1].innerText = termState[1];		// 受付端末
	TerminalStatus.rows[3].cells[1].innerText = termState[2];		// 会議室端末
	TerminalStatus.rows[4].cells[1].innerText = termState[3];		// RH
	TerminalStatus.rows[5].cells[1].innerText = termState[4];		// PA10

	// 各PCサービス実行状態取得
	serviceState = GetRobotService();
//	alert(serviceState[1]);
	TerminalStatus.rows[1].cells[2].innerText = serviceState[0];	// 制御端末
	TerminalStatus.rows[2].cells[2].innerText = serviceState[1];	// 受付端末
	TerminalStatus.rows[3].cells[2].innerText = serviceState[2];	// 会議室端末
	TerminalStatus.rows[4].cells[2].innerText = serviceState[3];	// RH
	TerminalStatus.rows[5].cells[2].innerText = serviceState[4];	// PA10
	*/
	TerminalStatus.rows[1].cells[1].innerText = GetRobotStatus(0);	// 制御端末
	TerminalStatus.rows[2].cells[1].innerText = GetRobotStatus(1);	// 受付端末
	TerminalStatus.rows[3].cells[1].innerText = GetRobotStatus(2);	// 会議室端末
	TerminalStatus.rows[4].cells[1].innerText = GetRobotStatus(3);	// RH
	TerminalStatus.rows[5].cells[1].innerText = GetRobotStatus(4);	// PA10

	TerminalStatus.rows[1].cells[2].innerText = GetRobotService(0);	// 制御端末
	TerminalStatus.rows[2].cells[2].innerText = GetRobotService(1);	// 受付端末
	TerminalStatus.rows[3].cells[2].innerText = GetRobotService(2);	// 会議室端末
	TerminalStatus.rows[4].cells[2].innerText = GetRobotService(3);	// RH
	TerminalStatus.rows[5].cells[2].innerText = GetRobotService(4);	// PA10

	// RH位置情報取得
	rhPos = GetRH_Position();
	window.RH_Cursor.style.left	= rhPos[0] + "px";
	window.RH_Cursor.style.top	= rhPos[1] + "px";

	// エラーリカバリー用のデータを入れる
	recoveryPanel = GetRecoveryPanel();
//	alert(recoveryPanel);
	switch(recoveryPanel){
	case "Drink":
		InsertDrinkPanel();
		break;
	case "Battery":
		InsertBatteryPanel();
		break;
	case "DriveImpossible":
		InsertDrivePanel();
		break;
	case "SystemError":
		InsertSystemErrorPanel();
		break;
	default:
		recoveryPanel = "";
		NormalPanel();
		break;
	}

	SetScenarioPanelMsg(recoveryPanel);

}

function SetScenarioPanelMsg(err_state)
{
	var scenarioState, status, name, statusStr;
	var blank = "&emsp;&emsp;&emsp;&emsp;";

	// シナリオ実行状態取得
	scenarioState	= GetScenarioState();
	status			= GetScenarioStatus();
	name			= GetScenarioName();

	statusStr = "";
	if(name != ""){
		statusStr = "シナリオ [ " + name + " ] を実行しています。<br />";
	}
	if(status != ""){
		statusStr = statusStr + blank + "「 " + status + " 」";
	}
	if(err_state == ""){
		switch(scenarioState){
		case "0":		// 未実行
			statusStr = "シナリオは実行されていません。";
			break;
		case "1":		// 実行中
			statusStr = statusStr + "を実行中です。<br /><input type=button value = '一時停止' onClick='ScenarioControl(2)'/>&emsp;&emsp;&emsp;<input type=button value = '破棄する' onClick='ScenarioControl(0)'/>";
			break;
		case "2":		// 一時停止中
			statusStr = statusStr + "で停止中です。<br /><input type=button value = '停止解除' onClick='ScenarioControl(1)'/>&emsp;&emsp;&emsp;<input type=button value = '破棄する' onClick='ScenarioControl(0)'/>";
			break;
		}
	}
	else{
		if(scenarioState != "0"){
			statusStr = statusStr + "シナリオ実行中にエラーが発生しました。<br />システムリカバリーパネルで指示を指定してください。";
		}
	}
	window.ScenarioStatus.innerHTML = statusStr;
}

function ScenarioControl(CtrlID)
{
	SendAjaxRequestLocal("/rtc/outdata?Command=ScenarioControl&Value=" + CtrlID);
}

function InsertBatteryPanel(){
	window.ErrorRecovery.innerHTML = "<br /><div id='BatteryEmpty' > \
	リファレンスハードのバッテリー残量が少なくなっています。<br /><br /> \
	<table> \
		<tbody> \
			<tr> \
				<td><input type='button' id='forcce_continue' value='継続する' onClick='ScenarioControl(11)' ></td> \
				<td><input type='button' id='fill_in' value='駐機位置へ戻す' onClick='ScenarioControl(151)' ></td> \
				<td><input type='button' id='stop' value='停止する' onClick='ScenarioControl(0)' ></td> \
			</tr> \
		</tbody> \
	</table> \
</div>";

}
function InsertDrivePanel(){
	window.ErrorRecovery.innerHTML = "<br /><div id='DriveImpossibility' > \
	リファレンスハードが走行できなくなっています。<br /><br /> \
	<table> \
		<tbody> \
			<tr> \
				<td><input type='button' id='forcce_continue' value='継続する' onClick='ScenarioControl(11)' ></td> \
				<td><input type='button' id='stop' value='停止する' onClick='ScenarioControl(0)' ></td> \
			</tr> \
		</tbody> \
	</table> \
</div>";

}

function InsertDrinkPanel()
{
	window.ErrorRecovery.innerHTML = "<br /><div id='DrinkStockEmpty'> \
	ドリンクの在庫がありません。<br /><br /> \
	<table> \
		<tbody> \
			<tr> \
				<td><input type='button' id='forcce_continue' value='継続する' onClick='ScenarioControl(11)' ></td> \
				<td><input type='button' id='fill_in' value='補充する' disabled ></td> \
				<td><input type='button' id='stop' value='停止する' onClick='ScenarioControl(0)' ></td> \
			</tr> \
		</tbody> \
	</table> \
</div>";
}

function InsertSystemErrorPanel()
{
	window.ErrorRecovery.innerHTML = "<br /><div id='DrinkStockEmpty'> \
	システムエラーが発生しました。<br /><br /> \
	<table> \
		<tbody> \
			<tr> \
				<td><input type='button' id='forcce_continue' value='直前の動作からやり直す' onClick='ScenarioControl(11)' ></td> \
				<td><input type='button' id='stop' value='中止する' onClick='ScenarioControl(0)' ></td> \
			</tr> \
		</tbody> \
	</table> \
</div>";
}

function NormalPanel()
{
	window.ErrorRecovery.innerHTML = "現在エラーは発生していません。";
}
